Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.tag
Class AjaxBehaviorRule

    java.lang.Object
      javax.faces.view.facelets.MetaRule
          org.richfaces.view.facelets.tag.BehaviorRule
              org.richfaces.view.facelets.tag.AjaxBehaviorRule

    public class AjaxBehaviorRule

extends BehaviorRule

Author:
  Anton Belevich

Nested Class Summary
`static class` | `AjaxBehaviorRule.AjaxBehaviorListenerMapper`

Field Summary
`static Class<?>[]` | `AJAX_BEHAVIOR_LISTENER_SIG`
`static String` | `EXECUTE`
`static AjaxBehaviorRule` | `INSTANCE`
`static String` | `LISTENER`
`static String` | `RENDER`

Constructor Summary
`AjaxBehaviorRule()`

Method Summary
`javax.faces.view.facelets.Metadata` | `applyRule(String name, javax.faces.view.facelets.TagAttribute attribute, javax.faces.view.facelets.MetadataTarget meta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_BEHAVIOR_LISTENER_SIG

    public static final Class<?>[] AJAX_BEHAVIOR_LISTENER_SIG

### INSTANCE

    public static final AjaxBehaviorRule INSTANCE

### EXECUTE

    public static final String EXECUTE

See Also:
  Constant Field Values

### RENDER

    public static final String RENDER

See Also:
  Constant Field Values

### LISTENER

    public static final String LISTENER

See Also:
  Constant Field Values

Constructor Detail

### AjaxBehaviorRule

    public AjaxBehaviorRule()

Method Detail

### applyRule

    public javax.faces.view.facelets.Metadata applyRule(String name,
                                                        javax.faces.view.facelets.TagAttribute attribute,
                                                        javax.faces.view.facelets.MetadataTarget meta)

  Overrides:
    `applyRule` in class `BehaviorRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.